<div class="pure-form pure-form-stacked funcionario">
    <fieldset>
		<div class="frex">
			<h5 style="margin: 0px;">Funcionário: {{funcionario.nome}}</h5>
			<button class="button-small pure-button pure-button-primary" (click)="mudarStatus()">
				{{ funcionario.estaViajando ? 'voltar para casa' : 'viajar' }}
			</button>
		</div>

		<label for="cargo">Cargo</label>
		<select id="cargo" [(ngModel)]="funcionario.cargo">
			<option *ngFor="let cargo of cargos" [ngValue]="cargo">{{ cargo.codigo }} - {{ cargo.descricao }}</option>
		</select>

		<label for="setor">Setor</label>
		<select id="setor" [(ngModel)]="funcionario.setor">
			<option *ngFor="let setor of setores" [ngValue]="setor">{{ setor.codigo }} - {{ setor.descricao }}</option>
		</select>

		<div *ngIf="funcionario.estaViajando">
			<label for="cidadeAtual">Cidade Atual</label>
			<input id="cidadeAtual" type="text" [(ngModel)]="funcionario.cidadeAtual">
			<span class="pure-form-message">Esse funcionário está em {{funcionario.cidadeAtual}} para fazer implantação.</span>
		</div>
	</fieldset>
	<div>
		<span class="pure-form-message">{{funcionario | json}}</span>
	</div>
</div>